import request from '@/utils/request'

// 查询邮件列表
export function deptIdentifyList(data) {
    return request({
        url: '/deptIdentify/list',
        method: 'get',
        params: data
    })
}
// 是否启用
export function enableDept(data) {
    return request({
        url: '/deptIdentify/enableDept',
        method: 'post',
        data: data
    })
}

// 认证
export function selectDeptIndefiUrl(data) {
    return request({
        url: 'deptIdentify/selectDeptIndefiUrl',
        method: 'post',
        data: data
    })
}
// 新增机构
export function insert(data) {
    return request({
        url: '/deptIdentify/insert',
        method: 'post',
        data: data
    })
}
// 查询公章列表
export function sealList(data) {
    return request({
        url: '/deptIdentify/sealList',
        method: 'get',
        params: data
    })
}
// 启用或者禁用公章
export function updateSealLockStatus(data) {
    return request({
        url: '/deptIdentify/updateSealLockStatus',
        method: 'post',
        data: data
    })
}
// 删除未认证的数据
export function deleteSeal(data) {
    return request({
        url: '/deptIdentify/delete',
        method: 'delete',
        params: data
    })
}
// 修改机构信息
export function sealUpdate(data) {
    return request({
        url: '/deptIdentify/update',
        method: 'put',
        data: data
    })
}
// 新增模板
export function insertTemplate(data) {
    return request({
        url: '/deptIdentify/insertTemplate',
        method: 'post',
        data: data
    })
}
// 修改模板
export function updateTemplate(data) {
    return request({
        url: '/deptIdentify/updateTemplate',
        method: 'post',
        data: data
    })
}
// 删除模板
export function deleteTemplate(data) {
    return request({
        url: '/deptIdentify/deleteTemplate',
        method: 'delete',
        params: data
    })
}
// 根据机构id查询模板
export function getTemplate(data) {
    return request({
        url: '/deptIdentify/getTemplate',
        method: 'get',
        params: data
    })
}
// 查询机构下的经办人
export function selectPostUserByDeptId(data) {
    return request({
        url: '/deptIdentify/selectPostUserByDeptId',
        method: 'get',
        params: data
    })
}
// 机构绑定经办人
export function bindHandler(data) {
    return request({
        url: '/deptIdentify/bindHandler',
        method: 'get',
        params: data
    })
}